> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List flow executions

> List flow run executions for a specific flow, with optional filters by status and date range.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/workflow/{flow_id}/executions
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/workflow/{flow_id}/executions:
    get:
      tags:
        - Workflows - Executions
      summary: List flow executions
      description: >-
        List flow run executions for a specific flow, with optional filters by
        status and date range.
      operationId: list_executions_v1_workflow__flow_id__executions_get
      parameters:
        - name: flow_id
          in: path
          required: true
          schema:
            type: string
            title: Flow Id
        - name: after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
        - name: before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Before
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 1
              - type: 'null'
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 30
            minimum: 1
            default: 10
            title: Limit
        - name: order
          in: query
          required: false
          schema:
            const: desc
            type: string
            default: desc
            title: Order
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/FlowRunStatus'
              - type: 'null'
            title: Status
        - name: created_after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created After
        - name: created_before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created Before
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponseStrId_FlowRunResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    FlowRunStatus:
      type: string
      enum:
        - QUEUED
        - RUNNING
        - PAUSED
        - SUCCEEDED
        - FAILED
        - TIMEOUT
        - CANCELED
        - INTERNAL_ERROR
        - QUOTA_EXCEEDED
        - MEMORY_LIMIT_EXCEEDED
      title: FlowRunStatus
    PaginatedResponseStrId_FlowRunResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/FlowRunResponse'
          type: array
          title: Data
        first_id:
          anyOf:
            - type: string
            - type: 'null'
          title: First Id
        last_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Id
        has_more:
          type: boolean
          title: Has More
        current_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Page
        total_pages:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Pages
      type: object
      required:
        - data
        - has_more
      title: PaginatedResponseStrId[FlowRunResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FlowRunResponse:
      properties:
        id:
          type: string
          title: Id
        flowId:
          type: string
          title: Flowid
        flowDisplayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Flowdisplayname
        status:
          $ref: '#/components/schemas/FlowRunStatus'
        created:
          type: string
          format: date-time
          title: Created
        updated:
          type: string
          format: date-time
          title: Updated
        startTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Starttime
        finishTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finishtime
        duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration
        stepsCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Stepscount
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        failedStep:
          anyOf:
            - $ref: '#/components/schemas/FailedStepResponse'
            - type: 'null'
      type: object
      required:
        - id
        - flowId
        - status
        - created
        - updated
      title: FlowRunResponse
      description: List view — no steps.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FailedStepResponse:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        displayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Displayname
      type: object
      title: FailedStepResponse
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````